# Uses of Interface
org.eclipse.net4j.channel.IChannel

Packages that use IChannel
Package
Description
org.eclipse.net4j.channel
The Net4j transport layer concepts for dealing with channels.
org.eclipse.net4j.jvm
Transport layer extension with support for JVM embedded connections.
org.eclipse.net4j.protocol
The Net4j transport layer concepts for dealing with protocols.
org.eclipse.net4j.signal
A framework for request/response based communication on top of the Net4j transport layer.
org.eclipse.spi.net4j
Server service provider interfaces and useful base implementations for the Net4j transport layer.

## Uses of IChannel in org.eclipse.net4j.channel

Methods in org.eclipse.net4j.channel that return IChannel
Modifier and Type
Method
Description
`IChannel`
ChannelInputStream.`getChannel()`
`IChannel`
IChannelMultiplexer.`openChannel()`
Synchronous request to open a new `IChannel` with an undefined channel protocol.
`IChannel`
IChannelMultiplexer.`openChannel(String protocolID, Object infraStructure)`
Synchronous request to open a new `IChannel` with a channel protocol defined by a given protocol identifier.
`IChannel`
IChannelMultiplexer.`openChannel(IProtocol<?> protocol)`
Synchronous request to open a new `IChannel` with the given channel protocol .
Methods in org.eclipse.net4j.channel that return types with arguments of type IChannel
Modifier and Type
Method
Description
`Collection<IChannel>`
IChannelMultiplexer.`getChannels()`
Returns a collection of currently open channels.
Constructors in org.eclipse.net4j.channel with parameters of type IChannel
Modifier
Constructor
Description
``
`ChannelInputStream(IChannel channel)`
``
`ChannelInputStream(IChannel channel, long millisBeforeTimeout)`
``
`ChannelOutputStream(IChannel channel)`
``
`ChannelOutputStream(IChannel channel, IBufferProvider bufferProvider)`

## Uses of IChannel in org.eclipse.net4j.jvm

Subinterfaces of IChannel in org.eclipse.net4j.jvm
Modifier and Type
Interface
Description
`interface`
`IJVMChannel`
A `channel` of a `JVM connector`.

## Uses of IChannel in org.eclipse.net4j.protocol

Methods in org.eclipse.net4j.protocol that return IChannel
Modifier and Type
Method
Description
`IChannel`
IProtocol.`getChannel()`
Methods in org.eclipse.net4j.protocol with parameters of type IChannel
Modifier and Type
Method
Description
`void`
IProtocol.`setChannel(IChannel channel)`

## Uses of IChannel in org.eclipse.net4j.signal

Methods in org.eclipse.net4j.signal that return IChannel
Modifier and Type
Method
Description
`IChannel`
ISignalProtocol.`open(IConnector connector)`
`IChannel`
SignalProtocol.`open(IConnector connector)`

## Uses of IChannel in org.eclipse.spi.net4j

Subinterfaces of IChannel in org.eclipse.spi.net4j
Modifier and Type
Interface
Description
`interface`
`InternalChannel`
If the meaning of this type isn't clear, there really should be more of a description here...
Classes in org.eclipse.spi.net4j that implement IChannel
Modifier and Type
Class
Description
`class`
`Channel`
If the meaning of this type isn't clear, there really should be more of a description here...
Methods in org.eclipse.spi.net4j that return IChannel
Modifier and Type
Method
Description
`IChannel`
Protocol.`getChannel()`
`IChannel[]`
ChannelMultiplexer.`getElements()`
Methods in org.eclipse.spi.net4j that return types with arguments of type IChannel
Modifier and Type
Method
Description
`final Collection<IChannel>`
ChannelMultiplexer.`getChannels()`
Methods in org.eclipse.spi.net4j with parameters of type IChannel
Modifier and Type
Method
Description
`protected void`
ChannelContainer.`addChannel(IChannel channel)`
`protected void`
ChannelContainer.`removeChannel(IChannel channel)`
`void`
Protocol.`setChannel(IChannel newChannel)`